Last modified: 2014-09-02 11:21:10 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 19312 - Enable LocalisationUpdate extension on Incubator
Enable LocalisationUpdate extension on Incubator
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Deployment systems (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Tim Starling
: shell
Depends on: 18604 20773 20774
Blocks: incubator
  Show dependency treegraph
 
Reported: 2009-06-20 18:34 UTC by Robin Pepermans (SPQRobin)
Modified: 2014-09-02 11:21 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Robin Pepermans (SPQRobin) 2009-06-20 18:34:13 UTC
Please enable the [[mw:Extension:LocalisationUpdate]] extension on Wikimedia Incubator, with automatic updates.
Community discussion was at [[incubator:Incubator:Community_Portal#LocalisationUpdate]] and the only issue is stability, so please enable it when it is stable enough.

Thanks.
Comment 1 Brion Vibber 2009-06-23 01:53:13 UTC
Assigning to myself for review.
Comment 2 Tim Starling 2009-06-23 03:25:05 UTC
Suggest WONTFIX. The extension uses hooks to do a DB query on every wfMsg() call, this would be excessively slow. HTTP fetches are done by a cron job. It would be simpler and more efficient to put this in the cron job instead:

  find -name \*.i18n.php -or -name Messages\*.php -exec svn up
  scap
Comment 3 Roan Kattouw 2009-06-23 08:57:10 UTC
(In reply to comment #2)
> Suggest WONTFIX. The extension uses hooks to do a DB query on every wfMsg()
> call, this would be excessively slow.
Good point. It should probably hook into message loading and load all (relevant) messages from the DB then. That'd reduce it to one query at initialization and one for every unique wfLoadExtensionMessages() call.


> HTTP fetches are done by a cron job. It
> would be simpler and more efficient to put this in the cron job instead:
> 
>   find -name \*.i18n.php -or -name Messages\*.php -exec svn up
>   scap
> 
I don't know a lot about this, but from what GerardM told me I understand that the current code only updates messages whose English equivalent hasn't changed (will ask Gerard whether this is correct), so a simple svn up wouldn't work.
Comment 4 Brion Vibber 2009-07-13 18:41:40 UTC
Reassigning to Tim for further cleanup on the ext.
Comment 5 Brion Vibber 2009-09-25 00:09:52 UTC
Has been since cleaned up. Now running!

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links